Skip to content

Update settings

POST
/api/v1/settings/{id}
curl --request POST \
--url https://example.com/api/v1/settings/example \
--header 'Content-Type: application/json' \
--data '{ "unit": "metric", "language": "example", "bio": "example", "mapFocus": "trails", "location": { "name": "example", "lat": 1, "lon": 1 }, "category": "example", "tilesets": [ { "name": "example", "url": "https://example.com" } ], "terrain": { "terrain": "https://example.com", "hillshading": "https://example.com" }, "user": "example", "privacy": { "account": "public", "trails": "public", "lists": "public" } }'
id
required
string
Media type application/json
object
unit
string
Allowed values: metric imperial
language
string
bio
string
nullable
mapFocus
string
Allowed values: trails location
location
object
name
string
lat
number
lon
number
category
string
tilesets
Array<object>
nullable
object
name
string
url
string format: uri
terrain
object
terrain
string format: uri
hillshading
string format: uri
user
string
privacy
object
account
string
Allowed values: public private
trails
string
Allowed values: public private
lists
string
Allowed values: public private

Settings updated

Media type application/json
object
id
required

Settings ID (15 chars)

string
unit
string
Allowed values: metric imperial
language

Language code

string
bio
string
nullable
mapFocus
string
Allowed values: trails location
location
object
name
string
lat
number
lon
number
category
string
tilesets
Array<object>
nullable
object
name
string
url
string format: uri
terrain
object
terrain
string format: uri
hillshading
string format: uri
user
string
privacy
object
account
string
Allowed values: public private
trails
string
Allowed values: public private
lists
string
Allowed values: public private
created
string format: date-time
updated
string format: date-time
Example
{
"unit": "metric",
"mapFocus": "trails",
"privacy": {
"account": "public",
"trails": "public",
"lists": "public"
}
}

Bad Request

Not Found

Internal Server Error